# Castellum

Castellum is a subject database system developed at the Max Planck
Society. Its main goals are:

-   GDPR compliant data protection and security
-   Flexibility so it can be used in different organisations

## Features

-   **Subject management**: Castellum is a central place to collect
    references to all data related to a subject, e.g. so it can be
    deleted on request.
-   **Pseudonym service**: Contact details are stored in Castellum so
    all other databases can work with pseudonyms instead.
-   **Recruitment**: Castellum allows you to find potential participants
    from an existing pool using study specific filters.
-   **Appointments**: You can manage appointments for test sessions.

## Links

-   Product home page: https://castellum.mpib.berlin
-   Project home page: https://www.mpib-berlin.mpg.de/research-data/castellum
-   Source code: https://git.mpib-berlin.mpg.de/castellum/castellum/
-   Releases: https://git.mpib-berlin.mpg.de/castellum/castellum/-/releases
    ([feed](https://git.mpib-berlin.mpg.de/castellum/castellum/-/tags?format=atom))
-   Docker: `registry.git.mpib-berlin.mpg.de/castellum/castellum`
-   End-user documentation: https://castellum.mpib.berlin/documentation/en/
-   Developer documentation: https://git.mpib-berlin.mpg.de/castellum/castellum/-/tree/main/docs
-   Code of conduct: https://www.mpg.de/11961177/code-of-conduct-en.pdf
