# Generated by Django 3.2.8 on 2021-10-20 15:15

from django.db import migrations, models


def factory(app, model_name):
    def migrate_data(apps, schema_editor):
        Model = apps.get_model(app, model_name)
        for obj in Model.objects.exclude(subject=None).select_related('subject'):
            obj.subject_uuid = obj.subject.uuid
            obj.save()
    return migrate_data


class Migration(migrations.Migration):

    dependencies = [
        ('pseudonyms', '0004_domain_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='pseudonym',
            name='subject_uuid',
            field=models.UUIDField(null=True),
        ),
        migrations.RunPython(factory('pseudonyms', 'Pseudonym')),
        migrations.AlterUniqueTogether(
            name='pseudonym',
            unique_together={('domain', 'pseudonym')},
        ),
        migrations.RemoveField(
            model_name='pseudonym',
            name='subject',
        ),
    ]
