# Generated by Django 3.2.8 on 2021-10-20 15:15

from django.db import migrations, models


def factory(app, model_name):
    def migrate_data(apps, schema_editor):
        Model = apps.get_model(app, model_name)
        for obj in Model.objects.all().select_related('subject'):
            obj.subject_uuid = obj.subject.uuid
            obj.save()
    return migrate_data


class Migration(migrations.Migration):

    dependencies = [
        ('recruitment', '0037_participation_excluded_by_cleanup'),
    ]

    operations = [
        migrations.AddField(
            model_name='participation',
            name='subject_uuid',
            field=models.UUIDField(null=True),
        ),
        migrations.RunPython(factory('recruitment', 'Participation')),
        migrations.AlterUniqueTogether(
            name='participation',
            unique_together=set(),
        ),
        migrations.RemoveField(
            model_name='participation',
            name='subject',
        ),

        migrations.AddField(
            model_name='reliabilityentry',
            name='subject_uuid',
            field=models.UUIDField(null=True),
        ),
        migrations.RunPython(factory('recruitment', 'ReliabilityEntry')),
        migrations.RemoveField(
            model_name='reliabilityentry',
            name='subject',
        ),
    ]
